Package com.complexible.stardog.virtual.api.admin

# Interface ComputeAdminConnection

All Superinterfaces:
  `AdminConnection`, `AutoCloseable`

public interface ComputeAdminConnection extends AdminConnection
Connection for importing files and virtual graphs via external compute

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.stardog.api.admin.AdminConnection

  `AdminConnection.StreamConsumer, AdminConnection.TxLogRange`

- ## Field Summary

  ### Fields inherited from interface com.complexible.stardog.api.admin.AdminConnection

  `NO_TIMEOUT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `importFile(String theDatabase, String mappingsString, Properties properties, String theNamedGraph, String theInputFile, VirtualGraphAdminConnection.InputFileType fileType, String theComputeSource)`
  `void`
  `importGraph(String theDatabase, String theDataSource, Properties theDatasourceOptions, String theMappings, String theNamedGraph, String thePartitionColumn, String theComputeSource, boolean theRemoveAll)`

  ### Methods inherited from interface com.complexible.stardog.api.admin.AdminConnection

  `as, backup, backup, backup, backup, backupAll, builder, checkpoint, close, currentStatus, currentStatus, disk, drop, generateDiagnosticReport, get, get, getLogs, getPermissionManager, getProcessManager, getProperty, getQueryManager, getRoleManager, getStoredFunctions, getStoredQueries, getTokenManager, getUserManager, isOpen, list, newDatabase, offline, offline, online, optimize, optimize, renameDatabase, repair, replayTransactionLog, restore, restore, set, setProperty, shutdown, transactionLog, verify, whoami`

- ## Method Details

  - ### importGraph

    void importGraph(String theDatabase, @Nullable String theDataSource, Properties theDatasourceOptions, String theMappings, String theNamedGraph, String thePartitionColumn, @Nullable String theComputeSource, boolean theRemoveAll)

  - ### importFile

    void importFile(String theDatabase, String mappingsString, Properties properties, String theNamedGraph, String theInputFile, VirtualGraphAdminConnection.InputFileType fileType, String theComputeSource)